<?php session_start(); 

function Securite() { 
	if (
		!isset($_SESSION['ouvert']) 
		or 
		$_SESSION['ouvert']!==true 
	) 
		die(header('Location: ./connexion.php')); 
} 
function IMAP_tester() { 
	if ( 
		gettype($GLOBALS['FluxIMAP'])=="resource" 
		and 
		!imap_ping($GLOBALS['FluxIMAP']) 
	) 
		die(header('Location: ./connexion.php')); 
} 

function IMAP_ouvrir( 
	$reference=null, 
	$serveur=null, 
	$identifiant=null, 
	$mdp=null, 
	$dossier=null 
) { 
	$reference = ($reference!=null)?$reference:((isset($_SESSION['Configuration']['reference']))?$_SESSION['Configuration']['reference']:''); 
	$serveur = ($serveur!=null)?$serveur:((isset($_SESSION['Configuration']['serveur']))?$_SESSION['Configuration']['serveur']:''); 
	$identifiant = ($identifiant!=null)?$identifiant:((isset($_SESSION['Configuration']['identifiant']))?$_SESSION['Configuration']['identifiant']:''); 
	$mdp = ($mdp!=null)?$mdp:((isset($_SESSION['Configuration']['mdp']))?$_SESSION['Configuration']['mdp']:'');  
	$dossier = ($dossier!=null)?$dossier:((isset($_SESSION['Configuration']['dossier']))?$_SESSION['Configuration']['dossier']:''); 
	$GLOBALS['FluxIMAP'] = imap_open(
		$reference, 
		$identifiant, 
		$mdp, 
		NULL, 
		1, 
		array('DISABLE_AUTHENTICATOR' => 'PLAIN')  
	); 
	IMAP_tester(); 
} 

function IMAP_changerdossier( 
	$Dossier=''
) { 
	IMAP_tester(); 
	if ( 
		!preg_match( 
			'#^([0-9a-z\_\-\.]+)$#i', 
			$Dossier 
		)
		or 
		!imap_reopen($GLOBALS['FluxIMAP'],$_SESSION['Configuration']['reference'].$Dossier) 
	) 
		die(header('Location: ./deconnexion.php')); 
	$_SESSION['Configuration']['dossier'] = $Dossier; 
} 
