<?php include('./coeur.php'); 

Securite(); 
IMAP_ouvrir(); 
IMAP_changerdossier('BaseC'); 

$m = ''; 
if (isset($_REQUEST['m'])) { 
	switch($_REQUEST['m']) { 
		default: 
			break; 
		case 'form_ko_sauvegarde': 
			$m = '<p class="ko">La tentative de sauvegarde ne comprenait pas tous les champs du formulaire. La sauvegarde n\'a pas pu se réaliser.</p>'; 
			break; 
	} 
} 

if ( 
	!isset($_REQUEST['uid']) 
	or 
	!preg_match('#([0-9]+)#',$_REQUEST['uid']) 
) 
	die(header('Location: ./voirtoutes.php?m=uid_ko')); 

$fiche_m = ''; 

$fiche = @imap_fetchheader($GLOBALS['FluxIMAP'],$_REQUEST['uid'],FT_UID); 

if ($fiche!==false) { 
	
	$entetes = imap_fetch_overview($GLOBALS['FluxIMAP'],$_REQUEST['uid'],FT_UID); 
	$sujet = imap_utf8($entetes[0]->subject); 
	if (preg_match('#([a-z0-9\_]+)\:(.*)#i',$sujet,$match)) { 
		$connaissance_uid = $match[1]; 
		$sujet = $match[2]; 
	} else { 
		$connaissance_uid = ''; 
	} 
	
	$courriel = null; 
	$RecupererHTML = false; 
	$encodage = false; 
	$charset = false; 
	$structure = imap_fetchstructure($GLOBALS['FluxIMAP'], $_REQUEST['uid'], FT_UID); 
	switch($structure->type) { 
		case 0: 
			$courriel = imap_fetchbody($GLOBALS['FluxIMAP'], $_REQUEST['uid'], 1,FT_UID); 
			if ($structure->subtype=="HTML") 
				$RecupererHTML = true; 
			break; 
		case 1: 
			if ($structure->subtype=="ALTERNATIVE") { 
				foreach($structure->parts as $partie) { 
					if ($partie->subtype=="HTML") { 
						$courriel = imap_fetchbody($GLOBALS['FluxIMAP'], $_REQUEST['uid'], 2,FT_UID); 
						$encodage = $partie->encoding; 
						foreach($partie->parameters as $p) { 
							if ($p->attribute=='charset') { 
								$charset = $p->value; 
							} 
						} 
					} 
				} 
				$RecupererHTML = true; 
			} 
			break; 
	} 
	switch($encodage) { 
		default: 
			break; 
		case 4: 
			$courriel = imap_qprint($courriel); 
			if ($charset=='ISO-8859-1') 
				$courriel = utf8_encode($courriel); 
			break; 
	} 
	
	$fiche_m = ' 
		<p><a href="./voirtoutes.php">retour à la liste des fiches</a></p> 
		<hr />
		<form action="./enregistrer.php" method="POST"> 
			<input type="hidden" name="fiche_uid" value="'.$_REQUEST['uid'].'" /><br /> 
			<label>UID</label> 
			<input type="text" name="connaissance_uid" value="'.$connaissance_uid.'" /><br /> 
			<label>Titre</label> 
			<input type="text" name="connaissance_titre" value="'.$sujet.'" /><br /> 
			<label>Corps</label> 
			<textarea name="connaissance_corps" style="width: 90%; height: 375px;">'.htmlentities( 
				$courriel
			).'</textarea> 
			<input type="submit" value="modifier la fiche" /> 
		</form> 
		'; 
} else { 
	$fiche_m = '<p>Ce message ne semble pas exister.</p>'; 
} 

echo <<<EOT
<!DOCTYPE html> 
<html lang="fr"> 
<head> 
<meta charset="utf-8"> 
<title>Voir toutes les fiches</title> 
</head> 
<body> 

{$m} 

<div style="display: table; width: 100%;"> 
	<div style="display: table-cell; width: 25%; padding: 8px; border: solid 1px gray;"> 
		<p><a href="./index.php">retour à l'accueil</a></p> 
		<p><a href="./deconnexion.php">déconnexion</a></p> 
		<p> 
			Identifiant : {$_SESSION['Configuration']['identifiant']}<br /> 
			Dossier de travail par défaut : {$_SESSION['Configuration']['dossier']} 
		</p> 
	</div> 
	<div style="display: table-cell; width: 75%; padding: 8px; border: solid 1px gray;"> 
	{$fiche_m} 
	</div> 
</div> 

</body> 
</html> 
EOT;
