<?php include('./coeur.php'); 

Securite(); 
IMAP_ouvrir(); 
IMAP_changerdossier('BaseC'); 

$liste = ''; 

if ( 
	!isset($_POST['recherche_texte']) 
	or 
	empty($_POST['recherche_texte']) 
) 
	die(header('Location: ./index.php?m=recherche_textevide')); 

$r_fiches = imap_search($GLOBALS['FluxIMAP'], 'TEXT "'.$_POST['recherche_texte'].'"', SE_UID); 

if ($r_fiches!=false and count($r_fiches)>0) { 
	
	$tmp = array();  
	foreach($r_fiches as $r_fiche) { 
		$fiche = imap_fetch_overview($GLOBALS['FluxIMAP'],$r_fiche,FT_UID); 
		$fiche = $fiche[0]; 
		$tmp_sujet = imap_utf8($fiche->subject); 
		$connaissance_uid = ''; 
		if (preg_match('#([a-z0-9\_]+)\:(.*)#i',$tmp_sujet,$match)) { 
			$connaissance_uid = $match[1].' / '; 
			$sujet = $match[2]; 
		} else { 
			$sujet = $tmp_sujet; 
		} 
		$date = ''; 
		if (isset($fiche->date)) 
			$date = date('d/m/Y H:i:s',strtotime(str_replace('"','',$fiche->date))); 
		$tmp[] = ''.$date.' / '.$connaissance_uid.'<a href="./voirune.php?uid='.$fiche->uid.'">'.$sujet.'</a> ( '.$fiche->size.' octet-s)'; 
	} 
	$liste = '<p>Résultat-s de la recherche : <ul><li>'.implode('</li><li>',$tmp).'</li></ul></p>'; 
} else { 
	$liste = '<p>La recherche n\'a retourné aucun résultat !</p>'; 
} 

echo <<<EOT
<!DOCTYPE html> 
<html lang="fr"> 
<head> 
<meta charset="utf-8"> 
<title>Recherche un texte dans les fiches</title> 
</head> 
<body> 

<div style="display: table; width: 100%;"> 
	<div style="display: table-cell; width: 25%; padding: 8px; border: solid 1px gray;"> 
		<p><a href="./index.php">retour à l'accueil</a></p> 
		<p><a href="./deconnexion.php">déconnexion</a></p> 
		<p> 
			Identifiant : {$_SESSION['Configuration']['identifiant']}<br /> 
			Dossier de travail par défaut : {$_SESSION['Configuration']['dossier']} 
		</p> 
	</div> 
	<div style="display: table-cell; width: 75%; padding: 8px; border: solid 1px gray;"> 
	{$liste} 
	</div> 
</div> 

</body> 
</html> 
EOT;
