<?php include('./coeur.php'); 

Securite(); 
IMAP_ouvrir(); 
IMAP_changerdossier('BaseC'); 

$m = ''; 
if (isset($_REQUEST['m'])) { 
	switch($_REQUEST['m']) { 
		default: 
			break; 
		case 'uid_ko': 
			$m = '<p class="ko">L\'identifiant unique demandé n\'est pas correct.</p>'; 
			break; 
		case 'uid_ko_sauvegarde': 
			$m = '<p class="ko">L\'identifiant unique demandé n\'est pas correct. La sauvegarde n\'a pas pu se réaliser.</p>'; 
			break; 
		case 'form_ko_sauvegarde': 
			$m = '<p class="ko">Le formulaire pour l\'enregistrement n\'est pas correctement rempli.</p>'; 
			break; 
		case 'sauvegarde_ok': 
			$m = '<p class="ok">La sauvegarde s\'est bien déroulée !</p>'; 
			break; 
		case 'sauvegarde_ko': 
			$m = '<p class="ko">Une erreur indéterminée s\'est déroulée pendant la sauvegarde, qui n\'a pas pu se faire.</p>'; 
			break; 
	} 
} 

$tmp = array();  
$infos = imap_check($GLOBALS['FluxIMAP']); 
$fiches = imap_fetch_overview($GLOBALS['FluxIMAP'],'1:'.$infos->Nmsgs); 
foreach (array_reverse($fiches) as $fiche) { 
	$tmp_sujet = imap_utf8($fiche->subject); 
	$connaissance_uid = ''; 
	if (preg_match('#([a-z0-9\_]+)\:(.*)#i',$tmp_sujet,$match)) { 
		$connaissance_uid = $match[1].' / '; 
		$sujet = $match[2]; 
	} else { 
		$sujet = $tmp_sujet; 
	} 
	$date = ''; 
	if (isset($fiche->date)) 
		$date = date('d/m/Y H:i:s',strtotime(str_replace('"','',$fiche->date))); 
	$tmp[] = ''.$date.' / '.$connaissance_uid.'<a href="./voirune.php?uid='.$fiche->uid.'">'.$sujet.'</a> ( '.$fiche->size.' octet-s)'; 
} 
if (count($tmp)>0) { 
	$liste = '<p><ul><li>'.implode('</li><li>',$tmp).'</li></ul></p>'; 
} else { 
	$liste = '<p>Il n\'y a actuellement aucune fiche dans la boîte...</p>'; 
} 

echo <<<EOT
<!DOCTYPE html> 
<html lang="fr"> 
<head> 
<meta charset="utf-8"> 
<title>Voir toutes les fiches</title> 
</head> 
<body> 

{$m} 

<div style="display: table; width: 100%;"> 
	<div style="display: table-cell; width: 25%; padding: 8px; border: solid 1px gray;"> 
		<p><a href="./index.php">retour à l'accueil</a></p> 
		<p><a href="./deconnexion.php">déconnexion</a></p> 
		<p> 
			Identifiant : {$_SESSION['Configuration']['identifiant']}<br /> 
			Dossier de travail par défaut : {$_SESSION['Configuration']['dossier']} 
		</p> 
	</div> 
	<div style="display: table-cell; width: 75%; padding: 8px; border: solid 1px gray;"> 
	{$liste} 
	</div> 
</div> 

</body> 
</html> 
EOT;
